/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.services.ups.dbhelper;
/**
 * This class is used by Find method of UPSDBQuery, in order to reduce 
 * number of queries made while populating Dataset,Sequences,Items.
 */
public class UPS_RowDescriptor
{

	
	private String	DEROWID;
	private String	 DATASETUUID;
	private int   GROUPNUMBER;
	private int  ELEMENTNUMBER ;
	boolean   isSQ ;
	private String	 PARENTSQUID;
	private String	 VALUE ;
	private String	 SQUUID;
	private String	 ITEMUUID ;
	private int   DELEVEL ;
	private int   DEVR ;
	
	/**
	 * This id default contructor for UPS_RowDescriptor
	 */
	public UPS_RowDescriptor()
	{
		super();
	}
	
	/**
	 * Retrieves the DataElement DELEVEL
	 * @return the DELEVEL
	 */
	 int getDELEVEL()
	 {
		return DELEVEL;
	}
	 
	/**
	 * Sets the DataElement DELEVEL
	 * @param delevel the DELEVEL to set
	 */
	 void setDELEVEL(int delevel)
	 {
		DELEVEL = delevel;
	}
	 
	/**
	 * Retrieves the DataElement Row ID
	 * @return the DEROWID
	 */
	 String getDEROWID()
	 {
		return DEROWID;
	}
	 
	/**
	 * Sets the DataElement Row ID
	 * @param derowid the DEROWID to set
	 */
	 void setDEROWID(String derowid)
	 {
		DEROWID = derowid;
	}
	 
	/**
	 * Retrieves the DEVR
	 * @return the DEVR
	 */
	 int getDEVR() 
	 {
		return DEVR;
	}
	 
	/**
	 * Sets the  DEVR
	 * @param devr the DEVR to set
	 */
	 void setDEVR(int devr) 
	 {
		DEVR = devr;
	}
	 
	/**
	 * Retrieves the ElementNumber
	 * @return the ELEMENTNUMBER
	 */
	 int getELEMENTNUMBER()
	 {
		return ELEMENTNUMBER;
	}
	 
	/**
	 * Sets the ElementNumber
	 * @param elementnumber the ELEMENTNUMBER to set
	 */
	 void setELEMENTNUMBER(int elementnumber)
	 {
		ELEMENTNUMBER = elementnumber;
	}
	 
	/**
	 * Retrieves the GroupNumber
	 * @return the GROUPNUMBER
	 */
	 int getGROUPNUMBER()
	 {
		return GROUPNUMBER;
	}
	 
	/**
	 * Sets the GroupNumber
	 * @param groupnumber the GROUPNUMBER to set
	 */
	 void setGROUPNUMBER(int groupnumber) 
	 {
		GROUPNUMBER = groupnumber;
	}
	 
	/**
	 * Retrieve the DataElement type
	 * @return the isSQ
	 */
	 boolean isSQ()
	 {
		return isSQ;
	}
	 
	/**
	 * Sets the DataElement type as SQ 
	 * @param isSQ the isSQ to set
	 */
	 void setSQ(boolean isSQ) 
	 {
		this.isSQ = isSQ;
	}
	 
	/**
	 * Retrieves the Item UID
	 * @return the ITEMUUID
	 */
	 String getITEMUUID()
	 {
		return ITEMUUID;
	}
	 
	/**
	 * Sets the Item UID
	 * @param itemuuid the ITEMUUID to set
	 */
	 void setITEMUUID(String itemuuid) 
	 {
		ITEMUUID = itemuuid;
	}
	 
	/**
	 * Retrieves the DATASETUUID
	 * @return the DATASETUUID
	 */
	 String getDATASETUUID()
	 {
		return DATASETUUID;
	}
	 
	/**
	 * Sets the DATASETUUID
	 * @param DatasetUID the DATASETUUID to set
	 */
	 void setDATASETUUID(String mwlDatasetUID)
	 {
		 DATASETUUID = mwlDatasetUID;
	}
	 
	/**
	 * Retrieves the ParentSQUID
	 * @return the PARENTSQUID
	 */
	 String getPARENTSQUID()
	 {
		return PARENTSQUID;
	}
	 
	/**
	 * Sets the ParentSQUID
	 * @param parentsquid the PARENTSQUID to set
	 */
	 void setPARENTSQUID(String parentsquid)
	 {
		PARENTSQUID = parentsquid;
	}
	 
	/**
	 * Retrieves the SQ UID
	 * @return the SQUUID
	 */
	 String getSQUUID()
	 {
		return SQUUID;
	}
	 
	/**
	 * Sets the SQ UID
	 * @param squuid the SQUUID to set
	 */
	 void setSQUUID(String squuid)
	 {
		SQUUID = squuid;
	}
	 
	/**
	 * Retrieves the value of DataElement
	 * @return the VALUE
	 */
	 String getVALUE()
	 {
		return VALUE;
	}
	 
	/**
	 * Sets the value of DataElement
	 * @param value the VALUE to set
	 */
	 void setVALUE(String value)
	 {
		VALUE = value;
	}
}
